Subject: DHCPv6 comment - X-address in release

From: Erik Nordmark <[email-masked]>
Date: Tue, 1 Aug 2000 14:57:25 -0700

The release message has an R flag to indicate whether
the X-address is the address of the relay or of the client.

I don't think the R bit is needed. The request message can do
without one and I don't see why the release message needs to be
different.
If I'm correct then the X-address field can be renamed to relay-address
with the same semantics as in the request message.

This points to something that could be clarified in the spec:
In some cases the protocol uses the addresses in the IPv6 header,
for instance a request message not sent through a relay.
It would be useful to make it clear in the draft to
specify the addresses that go in the IPv6 header.
For example, RFC 2461 contains such information.

   Erik